lappend search_path "./libs" "./src" "./verilog" "./"
			set target_library "NangateOpenCellLibrary.db"
			set link_library [list "*" $target_library]

analyze -f verilog multiplication_mod_3.v
			elaborate multiplication_mod_3
			uniquify
			current_design multiplication_mod_3
			check_design
			set_load [load_of [get_lib_pins NangateOpenCellLibrary/INV_X4/A]] [all_outputs]
			set_driving_cell -lib_cell DFFRS_X2 -library NangateOpenCellLibrary -pin Q  [all_inputs] 
			set_max_delay -to [all_outputs] 0 
			set_max_area 0 
			compile
			report_timing -significant_digits 6 > timing_ds_multipliers_3.rpt
			report_area > area_ds_multipliers_3.rpt
			report_power -analysis_effort high > power_ds_multipliers_3.rpt

			remove_design

analyze -f verilog multiplication_mod_7.v
			elaborate multiplication_mod_7
			uniquify
			current_design multiplication_mod_7
			check_design
			set_load [load_of [get_lib_pins NangateOpenCellLibrary/INV_X4/A]] [all_outputs]
			set_driving_cell -lib_cell DFFRS_X2 -library NangateOpenCellLibrary -pin Q  [all_inputs] 
			set_max_delay -to [all_outputs] 0 
			set_max_area 0 
			compile
			report_timing -significant_digits 6 > timing_ds_multipliers_7.rpt
			report_area > area_ds_multipliers_7.rpt
			report_power -analysis_effort high > power_ds_multipliers_7.rpt

			remove_design

analyze -f verilog multiplication_mod_15.v
			elaborate multiplication_mod_15
			uniquify
			current_design multiplication_mod_15
			check_design
			set_load [load_of [get_lib_pins NangateOpenCellLibrary/INV_X4/A]] [all_outputs]
			set_driving_cell -lib_cell DFFRS_X2 -library NangateOpenCellLibrary -pin Q  [all_inputs] 
			set_max_delay -to [all_outputs] 0 
			set_max_area 0 
			compile
			report_timing -significant_digits 6 > timing_ds_multipliers_15.rpt
			report_area > area_ds_multipliers_15.rpt
			report_power -analysis_effort high > power_ds_multipliers_15.rpt

			remove_design

analyze -f verilog multiplication_mod_31.v
			elaborate multiplication_mod_31
			uniquify
			current_design multiplication_mod_31
			check_design
			set_load [load_of [get_lib_pins NangateOpenCellLibrary/INV_X4/A]] [all_outputs]
			set_driving_cell -lib_cell DFFRS_X2 -library NangateOpenCellLibrary -pin Q  [all_inputs] 
			set_max_delay -to [all_outputs] 0 
			set_max_area 0 
			compile
			report_timing -significant_digits 6 > timing_ds_multipliers_31.rpt
			report_area > area_ds_multipliers_31.rpt
			report_power -analysis_effort high > power_ds_multipliers_31.rpt

			remove_design

analyze -f verilog multiplication_mod_63.v
			elaborate multiplication_mod_63
			uniquify
			current_design multiplication_mod_63
			check_design
			set_load [load_of [get_lib_pins NangateOpenCellLibrary/INV_X4/A]] [all_outputs]
			set_driving_cell -lib_cell DFFRS_X2 -library NangateOpenCellLibrary -pin Q  [all_inputs] 
			set_max_delay -to [all_outputs] 0 
			set_max_area 0 
			compile
			report_timing -significant_digits 6 > timing_ds_multipliers_63.rpt
			report_area > area_ds_multipliers_63.rpt
			report_power -analysis_effort high > power_ds_multipliers_63.rpt

			remove_design

analyze -f verilog multiplication_mod_127.v
			elaborate multiplication_mod_127
			uniquify
			current_design multiplication_mod_127
			check_design
			set_load [load_of [get_lib_pins NangateOpenCellLibrary/INV_X4/A]] [all_outputs]
			set_driving_cell -lib_cell DFFRS_X2 -library NangateOpenCellLibrary -pin Q  [all_inputs] 
			set_max_delay -to [all_outputs] 0 
			set_max_area 0 
			compile
			report_timing -significant_digits 6 > timing_ds_multipliers_127.rpt
			report_area > area_ds_multipliers_127.rpt
			report_power -analysis_effort high > power_ds_multipliers_127.rpt

			remove_design

analyze -f verilog multiplication_mod_255.v
			elaborate multiplication_mod_255
			uniquify
			current_design multiplication_mod_255
			check_design
			set_load [load_of [get_lib_pins NangateOpenCellLibrary/INV_X4/A]] [all_outputs]
			set_driving_cell -lib_cell DFFRS_X2 -library NangateOpenCellLibrary -pin Q  [all_inputs] 
			set_max_delay -to [all_outputs] 0 
			set_max_area 0 
			compile
			report_timing -significant_digits 6 > timing_ds_multipliers_255.rpt
			report_area > area_ds_multipliers_255.rpt
			report_power -analysis_effort high > power_ds_multipliers_255.rpt

			remove_design

analyze -f verilog multiplication_mod_511.v
			elaborate multiplication_mod_511
			uniquify
			current_design multiplication_mod_511
			check_design
			set_load [load_of [get_lib_pins NangateOpenCellLibrary/INV_X4/A]] [all_outputs]
			set_driving_cell -lib_cell DFFRS_X2 -library NangateOpenCellLibrary -pin Q  [all_inputs] 
			set_max_delay -to [all_outputs] 0 
			set_max_area 0 
			compile
			report_timing -significant_digits 6 > timing_ds_multipliers_511.rpt
			report_area > area_ds_multipliers_511.rpt
			report_power -analysis_effort high > power_ds_multipliers_511.rpt

			remove_design