module dif_multipliers (a,b,out);

output wire [21:0] out;
input  wire [10:0] a,b;

assign out=a*b;

endmodule

module atest_bench();
	reg  [10:0] x,y;
	wire [21:0] u;
			
	reg dummy;
	integer fori,forj;
	
	dif_multipliers r1 (x,y,u);
	
	initial
	begin
	for (fori = 0; fori <= 2048; fori = fori + 1)
	begin
	x = fori;
	for (forj = 0; forj <= 2048; forj = forj + 1)
	begin
		y = forj;
		$display ("!!! x=(%d) y=(%d) Res=(%d)",fori,forj,u);
		#1 dummy = 1;
	end
	end
	end
endmodule
